﻿namespace DeviceRepair.Models
{
    public enum AuthCodeConstValue
    {
        /// <summary>
        /// 基础数据
        /// </summary>
        BASE,

        /// <summary>
        /// 账号管理
        /// </summary>
        BASE_USER,

        /// <summary>
        /// 查看
        /// </summary>
        BASE_USER_01,

        /// <summary>
        /// 新增
        /// </summary>
        BASE_USER_02,

        /// <summary>
        /// 修改
        /// </summary>
        BASE_USER_03,

        /// <summary>
        /// 导入
        /// </summary>
        BASE_USER_04,

        /// <summary>
        /// 角色分配
        /// </summary>
        BASE_USER_05,

        /// <summary>
        /// 锁定/解锁
        /// </summary>
        BASE_USER_06,

        /// <summary>
        /// 密码重置
        /// </summary>
        BASE_USER_07,

        /// <summary>
        /// 角色管理
        /// </summary>
        BASE_ROLE,

        /// <summary>
        /// 角色管理查看
        /// </summary>
        BASE_ROLE_01,

        /// <summary>
        /// 角色增加
        /// </summary>
        BASE_ROLE_02,

        /// <summary>
        /// 角色修改
        /// </summary>
        BASE_ROLE_03,

        /// <summary>
        /// 角色锁定/解锁
        /// </summary>
        BASE_ROLE_04,

        /// <summary>
        /// 角色分配权限
        /// </summary>
        BASE_ROLE_05,

        /// <summary>
        /// 角色分配账号
        /// </summary>
        BASE_ROLE_06,

        /// <summary>
        /// 系统设置
        /// </summary>
        BASE_CONFIG,

        /// <summary>
        /// 业务权限
        /// </summary>
        BIZ,

        /// <summary>
        /// 设备台账
        /// </summary>
        BIZ_DEVICELEDGER,

        /// <summary>
        /// 设备台账查看
        /// </summary>
        BIZ_DEVICELEDGER_01,

        /// <summary>
        /// 设备台账新增
        /// </summary>
        BIZ_DEVICELEDGER_02,

        /// <summary>
        /// 设备台账编辑
        /// </summary>
        BIZ_DEVICELEDGER_03,

        /// <summary>
        /// 设备维修
        /// </summary>
        BIZ_REPAIRRECORD,

        /// <summary>
        /// 设备维修查看
        /// </summary>
        BIZ_REPAIRRECORD_01,

        /// <summary>
        /// 设备维修编辑
        /// </summary>
        BIZ_REPAIRRECORD_02,

        /// <summary>
        /// 设备维修导入
        /// </summary>
        BIZ_REPAIRRECORD_03,

        /// <summary>
        /// 设备维修导出
        /// </summary>
        BIZ_REPAIRRECORD_04,

        /// <summary>
        /// 设备维修确认权限-工程师
        /// </summary>
        BIZ_REPAIRRECORD_05,

        /// <summary>
        /// 设备维修确认权限-技术人员
        /// </summary>
        BIZ_REPAIRRECORD_06,

        /// <summary>
        /// 设备维修确认权限-维修主管
        /// </summary>
        BIZ_REPAIRRECORD_07,

        /// <summary>
        /// 设备维修打印
        /// </summary>
        BIZ_REPAIRRECORD_08,

        /// <summary>
        /// 字段配置
        /// </summary>
        BIZ_FIELD,

        /// <summary>
        /// 现象区分
        /// </summary>
        BIZ_FIELD_SYMPTOMLDISTINCTION,

        /// <summary>
        /// 新增
        /// </summary>
        BIZ_FIELD_SYMPTOMLDISTINCTION_01,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_FIELD_SYMPTOMLDISTINCTION_02,

        /// <summary>
        /// 删除
        /// </summary>
        BIZ_FIELD_SYMPTOMLDISTINCTION_03,

        /// <summary>
        /// 维修方式
        /// </summary>
        BIZ_FIELD_MAINTENANCE,

        /// <summary>
        /// 新增
        /// </summary>
        BIZ_FIELD_MAINTENANCE_01,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_FIELD_MAINTENANCE_02,

        /// <summary>
        /// 删除
        /// </summary>
        BIZ_FIELD_MAINTENANCE_03,

        /// <summary>
        /// 配件维护
        /// </summary>
        BIZ_FIELD_ACCESSORIES,

        /// <summary>
        /// 新增
        /// </summary>
        BIZ_FIELD_ACCESSORIES_01,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_FIELD_ACCESSORIES_02,

        /// <summary>
        /// 删除
        /// </summary>
        BIZ_FIELD_ACCESSORIES_03,

        /// <summary>
        /// 故障发生地
        /// </summary>
        BIZ_FIELD_WHEREFAILUREOCCURRED,

        /// <summary>
        /// 新增
        /// </summary>
        BIZ_FIELD_WHEREFAILUREOCCURRED_01,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_FIELD_WHEREFAILUREOCCURRED_02,

        /// <summary>
        /// 删除
        /// </summary>
        BIZ_FIELD_WHEREFAILUREOCCURRED_03,

        /// <summary>
        /// Tag
        /// </summary>
        BIZ_TAG,

        /// <summary>
        /// Tag查看
        /// </summary>
        BIZ_TAG_01,

        /// <summary>
        /// Tag接收
        /// </summary>
        BIZ_TAG_02,

        /// <summary>
        /// Tag导出
        /// </summary>
        BIZ_TAG_03,

        /// <summary>
        /// Tag修改
        /// </summary>
        BIZ_TAG_04,

        /// <summary>
        /// 设备保养计划
        /// </summary>
        BIZ_PLAN,

        /// <summary>
        /// 设备的AM保养计划
        /// </summary>
        BIZ_PLAN_AM,

        /// <summary>
        /// 新增
        /// </summary>
        BIZ_PLAN_AM_01,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_PLAN_AM_02,

        /// <summary>
        /// 删除
        /// </summary>
        BIZ_PLAN_AM_03,

        /// <summary>
        /// 导入
        /// </summary>
        BIZ_PLAN_AM_04,

        /// <summary>
        /// 导出
        /// </summary>
        BIZ_PLAN_AM_05,

        /// <summary>
        /// 查看
        /// </summary>
        BIZ_PLAN_AM_06,

        /// <summary>
        /// 设备的PM保养计划
        /// </summary>
        BIZ_PLAN_PM,

        /// <summary>
        /// 新增
        /// </summary>
        BIZ_PLAN_PM_01,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_PLAN_PM_02,

        /// <summary>
        /// 删除
        /// </summary>
        BIZ_PLAN_PM_03,

        /// <summary>
        /// 导入
        /// </summary>
        BIZ_PLAN_PM_04,

        /// <summary>
        /// 导出
        /// </summary>
        BIZ_PLAN_PM_05,

        /// <summary>
        /// 查看
        /// </summary>
        BIZ_PLAN_PM_06,

        /// <summary>
        /// 点检表维护
        /// </summary>
        BIZ_FormVersion,

        /// <summary>
        /// AM的点检表维护
        /// </summary>
        BIZ_FormVersion_AM,

        /// <summary>
        /// 查看
        /// </summary>
        BIZ_FormVersion_AM_01,

        /// <summary>
        /// 新增
        /// </summary>
        BIZ_FormVersion_AM_02,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_FormVersion_AM_03,

        /// <summary>
        /// 设备绑定
        /// </summary>
        BIZ_FormVersion_AM_04,

        /// <summary>
        /// 启用/禁用
        /// </summary>
        BIZ_FormVersion_AM_05,

        /// <summary>
        /// PM的点检表维护
        /// </summary>
        BIZ_FormVersion_PM,

        /// <summary>
        /// 查看
        /// </summary>
        BIZ_FormVersion_PM_01,

        /// <summary>
        /// 新增
        /// </summary>
        BIZ_FormVersion_PM_02,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_FormVersion_PM_03,

        /// <summary>
        /// 设备绑定
        /// </summary>
        BIZ_FormVersion_PM_04,

        /// <summary>
        /// 启用/禁用
        /// </summary>
        BIZ_FormVersion_PM_05,

        /// <summary>
        /// 设备保养
        /// </summary>
        BIZ_PRESERVE,

        /// <summary>
        /// AM的设备保养
        /// </summary>
        BIZ_PRESERVE_AM,

        /// <summary>
        /// PM的设备保养
        /// </summary>
        BIZ_PRESERVE_PM,

        /// <summary>
        /// 设备保养记录
        /// </summary>
        BIZ_PRESERVE_LOG,

        /// <summary>
        /// AM的保养记录
        /// </summary>
        BIZ_PRESERVE_LOG_AM,

        /// <summary>
        /// 查看
        /// </summary>
        BIZ_PRESERVE_LOG_AM_01,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_PRESERVE_LOG_AM_02,

        /// <summary>
        /// 打印
        /// </summary>
        BIZ_PRESERVE_LOG_AM_03,

        /// <summary>
        /// 导出
        /// </summary>
        BIZ_PRESERVE_LOG_AM_04,

        /// <summary>
        /// PM的保养记录
        /// </summary>
        BIZ_PRESERVE_LOG_PM,

        /// <summary>
        /// 查看
        /// </summary>
        BIZ_PRESERVE_LOG_PM_01,

        /// <summary>
        /// 编辑
        /// </summary>
        BIZ_PRESERVE_LOG_PM_02,

        /// <summary>
        /// 打印
        /// </summary>
        BIZ_PRESERVE_LOG_PM_03,

        /// <summary>
        /// 导出
        /// </summary>
        BIZ_PRESERVE_LOG_PM_04,

        /// <summary>
        /// 数据权限
        /// </summary>
        LOGS,

        /// <summary>
        /// 用户登录登出日志
        /// </summary>
        LOGS_USERLOGIN,

        /// <summary>
        /// 设备数据权限
        /// </summary>
        DEVICE,

        /// <summary>
        /// KH设备数据权限
        /// </summary>
        DEVICE_KH,

        /// <summary>
        /// OEM设备数据权限
        /// </summary>
        DEVICE_OEM

    }
}
